Internationalization does not work when setting the preferences to use the Browser locale

07/29/2014 03:40 PM - Christine Fouant

Status: Rejected   

Priority: Normal   

Assignee: Christine Fouant   

Category: Internationalization   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1093433 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1631

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1093433

Description of problem:

Internalization does not work when setting the preferences to use the Browser locale.

Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:

1. On your browser, set the languange prefereces as follow:

pt_BR, en_US

2. Make sure the user profile has the option "Browser Locale" at the language preferences

3. Clean the cache files on your browser and access:

Content-> Products

Content-> Sync

Actual results:

Pages are displayed in French or Spanish.

Expected results:

Locale works as configured.

Related issues:

Related to Foreman - Bug #3828: API messages and error responses not in English Closed 12/06/2013

Is duplicate of Katello - Bug #6869: Internationalization does not work when ... Closed 07/31/2014

History

#1 - 07/29/2014 03:55 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1629 added

- Pull request deleted ()

#2 - 07/30/2014 03:36 AM - Dominic Cleal

- Category set to Internationalization

- Pull request https://github.com/theforeman/foreman/pull/1631 added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1629)
#3 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#4 - 07/30/2014 12:03 PM - Lukas Zapletal

- Related to Bug #3828: API messages and error responses not in English added

#5 - 08/01/2014 02:33 AM - Dominic Cleal

- Is duplicate of Bug #6869: Internationalization does not work when setting the preferences to use the Browser locale added

#6 - 08/01/2014 02:34 AM - Dominic Cleal

- Status changed from Ready For Testing to Rejected

- Target version deleted (1.7.5)

PR was rejected & redmine recreated.
